package _03_方法重载;

public class Test2 {
    public static void main(String[] args) {
        /**
         * 定义名为`printInfo`的方法，实现以下重载：
         * - 接收一个`String`参数，打印 “姓名：xxx”
         * - 接收一个`int`参数，打印 “年龄：xxx”
         * - 接收`String`和`int`参数（顺序为姓名、年龄），打印 “姓名：xxx，年龄：xxx”
         * - 接收`int`和`String`参数（顺序为年龄、姓名），打印 “年龄：xxx，姓名：xxx”
         */
        printInfo("zhangsan");
        printInfo(10);
        printInfo("lisi",20);
        printInfo(20,"wangwu");
    }

    public static void printInfo(String name){
        System.out.println("姓名:" + name);
    }
    public static void printInfo(int age){
        System.out.println("年龄为:" + age);
    }
    public static void printInfo(String name,int age){
        System.out.println("姓名为:" + name +", 年龄:"+ age);
    }
    public static void printInfo(int age,String name){
        System.out.println("年龄:" + age +", 姓名:"+ name);
    }



}
